com.genesyslab.wfm8.API.service.RTA810

## Class AdherenceWithStatsStruct

- java.lang.Object
- - com.genesyslab.wfm8.API.service.RTA810.AdherenceWithStatsStruct

- All Implemented Interfaces:
    java.io.Serializable

      public class AdherenceWithStatsStruct
      extends java.lang.Object
      implements java.io.Serializable

  Contains the arrays of agents and their states together with as adherence statistics.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<AgentAdherenceStruct>` | `agentAdherenceArray` The agent adherence structures.
    `protected int` | `agentAdherenceArraySize` The size of agent adherence structure array.
    `protected java.util.List<AgentsInStateCountStruct>` | `agentCountsArray` The number of agents in each adherence category.`AgentsInStateCountStruct`
    `protected int` | `agentCountsArraySize` The number of agents.
    `protected int` | `firstAgentIndex` The index of the first agent that could be returned.
    `protected java.util.List<NameIDStruct>` | `genesysStates` The genesys real-time states `NameIDStruct`.
    `protected int` | `genesysStatesSize` The size of genesysStates array.
    `protected java.util.List<NameIDStruct>` | `scheduledStateGroups` The scheduled state groups `NameIDStruct`.
    `protected int` | `scheduledStateGroupsSize` The size of scheduledStateGroups array.
    `protected java.util.List<ScheduleStateStruct>` | `scheduledStates` The scheduled states `ScheduleStateStruct`.
    `protected int` | `scheduledStatesSize` The size of scheduledStates array.
    `private static long` | `serialVersionUID`
    `protected java.util.List<NameIDStruct>` | `siteNames` The site names `NameIDStruct`.
    `protected int` | `siteNamesSize` The size of site names structure array.
    `protected java.util.List<NameIDStruct>` | `teamNames` The team names `NameIDStruct`.
    `protected int` | `teamNamesSize` The size of teamNames array.
    `protected int` | `totalSnapshotAgents` The number of agents in the snapshot.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdherenceWithStatsStruct()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<AgentAdherenceStruct>` | `getAgentAdherenceArray()` Gets the value of the agentAdherenceArray property.
    `int` | `getAgentAdherenceArraySize()` Gets the value of the agentAdherenceArraySize property.
    `java.util.List<AgentsInStateCountStruct>` | `getAgentCountsArray()` Gets the value of the agentCountsArray property.
    `int` | `getAgentCountsArraySize()` Gets the value of the agentCountsArraySize property.
    `int` | `getFirstAgentIndex()` Gets the value of the firstAgentIndex property.
    `java.util.List<NameIDStruct>` | `getGenesysStates()` Gets the value of the genesysStates property.
    `int` | `getGenesysStatesSize()` Gets the value of the genesysStatesSize property.
    `java.util.List<NameIDStruct>` | `getScheduledStateGroups()` Gets the value of the scheduledStateGroups property.
    `int` | `getScheduledStateGroupsSize()` Gets the value of the scheduledStateGroupsSize property.
    `java.util.List<ScheduleStateStruct>` | `getScheduledStates()` Gets the value of the scheduledStates property.
    `int` | `getScheduledStatesSize()` Gets the value of the scheduledStatesSize property.
    `java.util.List<NameIDStruct>` | `getSiteNames()` Gets the value of the siteNames property.
    `int` | `getSiteNamesSize()` Gets the value of the siteNamesSize property.
    `java.util.List<NameIDStruct>` | `getTeamNames()` Gets the value of the teamNames property.
    `int` | `getTeamNamesSize()` Gets the value of the teamNamesSize property.
    `int` | `getTotalSnapshotAgents()` Gets the value of the totalSnapshotAgents property.
    `int` | `hashCode()`
    `void` | `setAgentAdherenceArray(java.util.List<AgentAdherenceStruct> agentAdherenceArray)` Sets the value of the agentAdherenceArray property.
    `void` | `setAgentAdherenceArraySize(int value)` Sets the value of the agentAdherenceArraySize property.
    `void` | `setAgentCountsArray(java.util.List<AgentsInStateCountStruct> agentCountsArray)` Sets the value of the agentCountsArray property.
    `void` | `setAgentCountsArraySize(int value)` Sets the value of the agentCountsArraySize property.
    `void` | `setFirstAgentIndex(int value)` Sets the value of the firstAgentIndex property.
    `void` | `setGenesysStates(java.util.List<NameIDStruct> genesysStates)` Sets the value of the genesysStates property.
    `void` | `setGenesysStatesSize(int value)` Sets the value of the genesysStatesSize property.
    `void` | `setScheduledStateGroups(java.util.List<NameIDStruct> scheduledStateGroups)` Sets the value of the scheduledStateGroups property.
    `void` | `setScheduledStateGroupsSize(int value)` Sets the value of the scheduledStateGroupsSize property.
    `void` | `setScheduledStates(java.util.List<ScheduleStateStruct> scheduledStates)` Sets the value of the scheduledStates property.
    `void` | `setScheduledStatesSize(int value)` Sets the value of the scheduledStatesSize property.
    `void` | `setSiteNames(java.util.List<NameIDStruct> siteNames)` Sets the value of the siteNames property.
    `void` | `setSiteNamesSize(int value)` Sets the value of the siteNamesSize property.
    `void` | `setTeamNames(java.util.List<NameIDStruct> teamNames)` Sets the value of the teamNames property.
    `void` | `setTeamNamesSize(int value)` Sets the value of the teamNamesSize property.
    `void` | `setTotalSnapshotAgents(int value)` Sets the value of the totalSnapshotAgents property.
    `java.lang.String` | `toString()`
    `AdherenceWithStatsStruct` | `withAgentAdherenceArray(AgentAdherenceStruct... values)`
    `AdherenceWithStatsStruct` | `withAgentAdherenceArray(java.util.Collection<AgentAdherenceStruct> values)`
    `AdherenceWithStatsStruct` | `withAgentAdherenceArraySize(int value)`
    `AdherenceWithStatsStruct` | `withAgentCountsArray(AgentsInStateCountStruct... values)`
    `AdherenceWithStatsStruct` | `withAgentCountsArray(java.util.Collection<AgentsInStateCountStruct> values)`
    `AdherenceWithStatsStruct` | `withAgentCountsArraySize(int value)`
    `AdherenceWithStatsStruct` | `withFirstAgentIndex(int value)`
    `AdherenceWithStatsStruct` | `withGenesysStates(java.util.Collection<NameIDStruct> values)`
    `AdherenceWithStatsStruct` | `withGenesysStates(NameIDStruct... values)`
    `AdherenceWithStatsStruct` | `withGenesysStatesSize(int value)`
    `AdherenceWithStatsStruct` | `withScheduledStateGroups(java.util.Collection<NameIDStruct> values)`
    `AdherenceWithStatsStruct` | `withScheduledStateGroups(NameIDStruct... values)`
    `AdherenceWithStatsStruct` | `withScheduledStateGroupsSize(int value)`
    `AdherenceWithStatsStruct` | `withScheduledStates(java.util.Collection<ScheduleStateStruct> values)`
    `AdherenceWithStatsStruct` | `withScheduledStates(ScheduleStateStruct... values)`
    `AdherenceWithStatsStruct` | `withScheduledStatesSize(int value)`
    `AdherenceWithStatsStruct` | `withSiteNames(java.util.Collection<NameIDStruct> values)`
    `AdherenceWithStatsStruct` | `withSiteNames(NameIDStruct... values)`
    `AdherenceWithStatsStruct` | `withSiteNamesSize(int value)`
    `AdherenceWithStatsStruct` | `withTeamNames(java.util.Collection<NameIDStruct> values)`
    `AdherenceWithStatsStruct` | `withTeamNames(NameIDStruct... values)`
    `AdherenceWithStatsStruct` | `withTeamNamesSize(int value)`
    `AdherenceWithStatsStruct` | `withTotalSnapshotAgents(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### agentCountsArraySize

          protected int agentCountsArraySize

      The number of agents.

    - #### agentCountsArray

          protected java.util.List<AgentsInStateCountStruct> agentCountsArray

      The number of agents in each adherence category.`AgentsInStateCountStruct`

    - #### firstAgentIndex

          protected int firstAgentIndex

      The index of the first agent that could be returned.

    - #### totalSnapshotAgents

          protected int totalSnapshotAgents

      The number of agents in the snapshot.

    - #### agentAdherenceArraySize

          protected int agentAdherenceArraySize

      The size of agent adherence structure array.

    - #### agentAdherenceArray

          protected java.util.List<AgentAdherenceStruct> agentAdherenceArray

      The agent adherence structures. `AgentAdherenceStruct`

    - #### siteNamesSize

          protected int siteNamesSize

      The size of site names structure array.

    - #### siteNames

          protected java.util.List<NameIDStruct> siteNames

      The site names `NameIDStruct`.

    - #### teamNamesSize

          protected int teamNamesSize

      The size of teamNames array.

    - #### teamNames

          protected java.util.List<NameIDStruct> teamNames

      The team names `NameIDStruct`.

    - #### scheduledStatesSize

          protected int scheduledStatesSize

      The size of scheduledStates array.

    - #### scheduledStates

          protected java.util.List<ScheduleStateStruct> scheduledStates

      The scheduled states `ScheduleStateStruct`.

    - #### scheduledStateGroupsSize

          protected int scheduledStateGroupsSize

      The size of scheduledStateGroups array.

    - #### scheduledStateGroups

          protected java.util.List<NameIDStruct> scheduledStateGroups

      The scheduled state groups `NameIDStruct`.

    - #### genesysStatesSize

          protected int genesysStatesSize

      The size of genesysStates array.

    - #### genesysStates

          protected java.util.List<NameIDStruct> genesysStates

      The genesys real-time states `NameIDStruct`.

  - ### Constructor Detail

    - #### AdherenceWithStatsStruct

          public AdherenceWithStatsStruct()

  - ### Method Detail

    - #### getAgentCountsArraySize

          public int getAgentCountsArraySize()

      Gets the value of the agentCountsArraySize property.

    - #### setAgentCountsArraySize

          public void setAgentCountsArraySize(int value)

      Sets the value of the agentCountsArraySize property.

    - #### getAgentCountsArray

          public java.util.List<AgentsInStateCountStruct> getAgentCountsArray()

      Gets the value of the agentCountsArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the agentCountsArray property.

      For example, to add a new item, do as follows:

              getAgentCountsArray().add(newItem);

      Objects of the following type(s) are allowed in the list `AgentsInStateCountStruct`

    - #### getFirstAgentIndex

          public int getFirstAgentIndex()

      Gets the value of the firstAgentIndex property.

    - #### setFirstAgentIndex

          public void setFirstAgentIndex(int value)

      Sets the value of the firstAgentIndex property.

    - #### getTotalSnapshotAgents

          public int getTotalSnapshotAgents()

      Gets the value of the totalSnapshotAgents property.

    - #### setTotalSnapshotAgents

          public void setTotalSnapshotAgents(int value)

      Sets the value of the totalSnapshotAgents property.

    - #### getAgentAdherenceArraySize

          public int getAgentAdherenceArraySize()

      Gets the value of the agentAdherenceArraySize property.

    - #### setAgentAdherenceArraySize

          public void setAgentAdherenceArraySize(int value)

      Sets the value of the agentAdherenceArraySize property.

    - #### getAgentAdherenceArray

          public java.util.List<AgentAdherenceStruct> getAgentAdherenceArray()

      Gets the value of the agentAdherenceArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the agentAdherenceArray property.

      For example, to add a new item, do as follows:

              getAgentAdherenceArray().add(newItem);

      Objects of the following type(s) are allowed in the list `AgentAdherenceStruct`

    - #### getSiteNamesSize

          public int getSiteNamesSize()

      Gets the value of the siteNamesSize property.

    - #### setSiteNamesSize

          public void setSiteNamesSize(int value)

      Sets the value of the siteNamesSize property.

    - #### getSiteNames

          public java.util.List<NameIDStruct> getSiteNames()

      Gets the value of the siteNames property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the siteNames property.

      For example, to add a new item, do as follows:

              getSiteNames().add(newItem);

      Objects of the following type(s) are allowed in the list `NameIDStruct`

    - #### getTeamNamesSize

          public int getTeamNamesSize()

      Gets the value of the teamNamesSize property.

    - #### setTeamNamesSize

          public void setTeamNamesSize(int value)

      Sets the value of the teamNamesSize property.

    - #### getTeamNames

          public java.util.List<NameIDStruct> getTeamNames()

      Gets the value of the teamNames property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the teamNames property.

      For example, to add a new item, do as follows:

              getTeamNames().add(newItem);

      Objects of the following type(s) are allowed in the list `NameIDStruct`

    - #### getScheduledStatesSize

          public int getScheduledStatesSize()

      Gets the value of the scheduledStatesSize property.

    - #### setScheduledStatesSize

          public void setScheduledStatesSize(int value)

      Sets the value of the scheduledStatesSize property.

    - #### getScheduledStates

          public java.util.List<ScheduleStateStruct> getScheduledStates()

      Gets the value of the scheduledStates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the scheduledStates property.

      For example, to add a new item, do as follows:

              getScheduledStates().add(newItem);

      Objects of the following type(s) are allowed in the list `ScheduleStateStruct`

    - #### getScheduledStateGroupsSize

          public int getScheduledStateGroupsSize()

      Gets the value of the scheduledStateGroupsSize property.

    - #### setScheduledStateGroupsSize

          public void setScheduledStateGroupsSize(int value)

      Sets the value of the scheduledStateGroupsSize property.

    - #### getScheduledStateGroups

          public java.util.List<NameIDStruct> getScheduledStateGroups()

      Gets the value of the scheduledStateGroups property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the scheduledStateGroups property.

      For example, to add a new item, do as follows:

              getScheduledStateGroups().add(newItem);

      Objects of the following type(s) are allowed in the list `NameIDStruct`

    - #### getGenesysStatesSize

          public int getGenesysStatesSize()

      Gets the value of the genesysStatesSize property.

    - #### setGenesysStatesSize

          public void setGenesysStatesSize(int value)

      Sets the value of the genesysStatesSize property.

    - #### getGenesysStates

          public java.util.List<NameIDStruct> getGenesysStates()

      Gets the value of the genesysStates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the genesysStates property.

      For example, to add a new item, do as follows:

              getGenesysStates().add(newItem);

      Objects of the following type(s) are allowed in the list `NameIDStruct`

    - #### withAgentCountsArraySize

          public AdherenceWithStatsStruct withAgentCountsArraySize(int value)

    - #### withAgentCountsArray

          public AdherenceWithStatsStruct withAgentCountsArray(AgentsInStateCountStruct... values)

    - #### withAgentCountsArray

          public AdherenceWithStatsStruct withAgentCountsArray(java.util.Collection<AgentsInStateCountStruct> values)

    - #### withFirstAgentIndex

          public AdherenceWithStatsStruct withFirstAgentIndex(int value)

    - #### withTotalSnapshotAgents

          public AdherenceWithStatsStruct withTotalSnapshotAgents(int value)

    - #### withAgentAdherenceArraySize

          public AdherenceWithStatsStruct withAgentAdherenceArraySize(int value)

    - #### withAgentAdherenceArray

          public AdherenceWithStatsStruct withAgentAdherenceArray(AgentAdherenceStruct... values)

    - #### withAgentAdherenceArray

          public AdherenceWithStatsStruct withAgentAdherenceArray(java.util.Collection<AgentAdherenceStruct> values)

    - #### withSiteNamesSize

          public AdherenceWithStatsStruct withSiteNamesSize(int value)

    - #### withSiteNames

          public AdherenceWithStatsStruct withSiteNames(NameIDStruct... values)

    - #### withSiteNames

          public AdherenceWithStatsStruct withSiteNames(java.util.Collection<NameIDStruct> values)

    - #### withTeamNamesSize

          public AdherenceWithStatsStruct withTeamNamesSize(int value)

    - #### withTeamNames

          public AdherenceWithStatsStruct withTeamNames(NameIDStruct... values)

    - #### withTeamNames

          public AdherenceWithStatsStruct withTeamNames(java.util.Collection<NameIDStruct> values)

    - #### withScheduledStatesSize

          public AdherenceWithStatsStruct withScheduledStatesSize(int value)

    - #### withScheduledStates

          public AdherenceWithStatsStruct withScheduledStates(ScheduleStateStruct... values)

    - #### withScheduledStates

          public AdherenceWithStatsStruct withScheduledStates(java.util.Collection<ScheduleStateStruct> values)

    - #### withScheduledStateGroupsSize

          public AdherenceWithStatsStruct withScheduledStateGroupsSize(int value)

    - #### withScheduledStateGroups

          public AdherenceWithStatsStruct withScheduledStateGroups(NameIDStruct... values)

    - #### withScheduledStateGroups

          public AdherenceWithStatsStruct withScheduledStateGroups(java.util.Collection<NameIDStruct> values)

    - #### withGenesysStatesSize

          public AdherenceWithStatsStruct withGenesysStatesSize(int value)

    - #### withGenesysStates

          public AdherenceWithStatsStruct withGenesysStates(NameIDStruct... values)

    - #### withGenesysStates

          public AdherenceWithStatsStruct withGenesysStates(java.util.Collection<NameIDStruct> values)

    - #### setAgentCountsArray

          public void setAgentCountsArray(java.util.List<AgentsInStateCountStruct> agentCountsArray)

      Sets the value of the agentCountsArray property.
      Parameters:
        `agentCountsArray` - allowed object is `AgentsInStateCountStruct`

    - #### setAgentAdherenceArray

          public void setAgentAdherenceArray(java.util.List<AgentAdherenceStruct> agentAdherenceArray)

      Sets the value of the agentAdherenceArray property.
      Parameters:
        `agentAdherenceArray` - allowed object is `AgentAdherenceStruct`

    - #### setSiteNames

          public void setSiteNames(java.util.List<NameIDStruct> siteNames)

      Sets the value of the siteNames property.
      Parameters:
        `siteNames` - allowed object is `NameIDStruct`

    - #### setTeamNames

          public void setTeamNames(java.util.List<NameIDStruct> teamNames)

      Sets the value of the teamNames property.
      Parameters:
        `teamNames` - allowed object is `NameIDStruct`

    - #### setScheduledStates

          public void setScheduledStates(java.util.List<ScheduleStateStruct> scheduledStates)

      Sets the value of the scheduledStates property.
      Parameters:
        `scheduledStates` - allowed object is `ScheduleStateStruct`

    - #### setScheduledStateGroups

          public void setScheduledStateGroups(java.util.List<NameIDStruct> scheduledStateGroups)

      Sets the value of the scheduledStateGroups property.
      Parameters:
        `scheduledStateGroups` - allowed object is `NameIDStruct`

    - #### setGenesysStates

          public void setGenesysStates(java.util.List<NameIDStruct> genesysStates)

      Sets the value of the genesysStates property.
      Parameters:
        `genesysStates` - allowed object is `NameIDStruct`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.